### Class

# Qrtr Node

since: 1.0

#### Description [src]

    class Qrtr.Node : GObject.Object
    {
      /* No available fields */
    }

The `QrtrNode` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### qrtr_node_add_service_info

No description available.

###### qrtr_node_get_bus

Get the `QrtrBus` where this node is available.

since: 1.0

###### qrtr_node_get_id

Gets the node ID in the QRTR bus.

since: 1.0

###### qrtr_node_get_service_info_list

Get the list of services currently supported by the `QrtrNode`.

since: 1.0

###### qrtr_node_lookup_port

If a server has announced itself for the given node and service number, return the port number of that service.

since: 1.0

###### qrtr_node_lookup_service

If a server has announced itself for the given node and port number, return the service it serves.

since: 1.0

###### qrtr_node_peek_bus

Get the `QrtrBus` where this node is available, without increasing the reference count on the returned object.

since: 1.0

###### qrtr_node_peek_service_info_list

Get the list of services currently supported by the `QrtrNode`.

since: 1.0

###### qrtr_node_remove_service_info

No description available.

###### qrtr_node_wait_for_services

Asynchronously waits until all the services listed in `services` are present on the node.

since: 1.0

###### qrtr_node_wait_for_services_finish

Finishes an operation started with qrtr_node_wait_for_services().

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Qrtr.Node:bus

No description available.

since: 1.0

###### Qrtr.Node:node-id

No description available.

since: 1.0

#### Signals

###### Qrtr.Node::node-removed

The ::node-removed signal is emitted when the node fully disappears from the QRTR bus.

since: 1.0

###### Qrtr.Node::service-added

The ::service-added signal is emitted when a new service registers on the QRTR node.

since: 1.0

###### Qrtr.Node::service-removed

The ::service-removed signal is emitted when a service deregisters from the QRTR node.

since: 1.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct QrtrNodeClass {
      /* no available fields */
    }

No description available.